Skip to main content
GET
/
public
/
{protocol}
/
position
/
statistic
/
trader
/
{account}
Position Statistic of Trader
curl --request GET \
  --url https://api.copin.io/public/{protocol}/position/statistic/trader/{account}
{
  "FULL": {},
  "D60": {},
  "D30": {},
  "D15": {},
  "D7": {},
  "id": "<string>",
  "account": "<string>",
  "totalTrade": 123,
  "totalWin": 123,
  "totalLose": 123,
  "totalGain": 123,
  "realisedTotalGain": 123,
  "totalLoss": 123,
  "realisedTotalLoss": 123,
  "totalVolume": 123,
  "avgVolume": 123,
  "avgRoi": 123,
  "realisedAvgRoi": 123,
  "maxRoi": 123,
  "realisedMaxRoi": 123,
  "pnl": 123,
  "realisedPnl": 123,
  "maxPnl": 123,
  "realisedMaxPnl": 123,
  "realisedMaxDrawdown": 123,
  "realisedMaxDrawdownPnl": 123,
  "winRate": 123,
  "profitRate": 123,
  "realisedProfitRate": 123,
  "orderPositionRatio": 123,
  "profitLossRatio": 123,
  "realisedProfitLossRatio": 123,
  "longRate": 123,
  "gainLossRatio": 123,
  "realisedGainLossRatio": 123,
  "avgDuration": 123,
  "minDuration": 123,
  "maxDuration": 123,
  "avgLeverage": 123,
  "minLeverage": 123,
  "maxLeverage": 123,
  "totalLiquidation": 123,
  "totalLiquidationAmount": 123,
  "runTimeDays": 123,
  "lastTradeAtTs": 123,
  "totalFee": 123,
  "ranking": {},
  "type": "<string>",
  "statisticAt": "<string>",
  "lastTradeAt": "<string>",
  "indexTokens": [
    {}
  ],
  "protocol": "<string>",
  "createdAt": "<string>",
  "isOpenPosition": true
}

Authentication

This endpoint requires authentication using a JWT token or API-KEY in the header.
Authorization
string
JWT token in the format: Authorization {token}
x-api-key
string
Token in the format: x-api-key {api-key}

Path Parameters

protocol
string
required
The supported protocols include: GMX, KWENTA, POLYNOMIAL, POLYNOMIAL_L2, GMX_V2_AVAX, GMX_V2, GNS, GNS_POLY, GNS_BASE, GNS_APE, LEVEL_BNB, LEVEL_ARB, MUX_ARB, APOLLOX_BNB, AVANTIS_BASE, EQUATION_ARB, LOGX_BLAST, LOGX_MODE, MYX_ARB, DEXTORO, VELA_ARB, HMX_ARB, SYNTHETIX_V3, SYNTHETIX_V3_ARB, KTX_MANTLE, CYBERDEX, YFX_ARB, KILOEX_OPBNB, KILOEX_BNB, KILOEX_MANTA, KILOEX_BASE, ROLLIE_SCROLL, MUMMY_FANTOM, HYPERLIQUID, SYNFUTURE_BASE, MORPHEX_FANTOM, PERENNIAL_ARB, BSX_BASE, DYDX, UNIDEX_ARB, VERTEX_ARB, HORIZON_BNB, HOLDSTATION_ZKSYNC, ZENO_METIS, LINEHUB_LINEA, BMX_BASE, FOXIFY_ARB, APOLLOX_BASE, GMX_AVAX, SYNTHETIX, DEPERP_BASE, ELFI_ARB, PERPETUAL_OP, JUPITER, HOLDSTATION_BERA, GMX_SOL, HYPERLIQUID, OSTIUM_ARB
account
string
required
The address of trader

Request Example

curl -X GET "https://api.copin.io/public/KILOEX_BASE/position/statistic/trader/0xd649A0876453Fc7626569B28E364262192874E18" \
--header 'Content-Type: application/json' \
--header 'x-api-key: u9jpUfrTAukk45QjWVg7DBtQYxdGgy'

Response:

The API returns position statistics for different time periods (FULL, D60, D30, D15, D7).
FULL
object
All-time statistics for the trader
D60
object
Statistics for the last 60 days
D30
object
Statistics for the last 30 days
D15
object
Statistics for the last 15 days
D7
object
Statistics for the last 7 days
Each time period contains the following fields:
id
string
Unique identifier for the statistic record
account
string
The address of the trader
totalTrade
number
Total number of trades
totalWin
number
Total number of winning trades
totalLose
number
Total number of losing trades
totalGain
number
Total gain amount from all trades
realisedTotalGain
number
Realised total gain from closed positions
totalLoss
number
Total loss amount from all trades
realisedTotalLoss
number
Realised total loss from closed positions
totalVolume
number
Total trading volume
avgVolume
number
Average volume per trade
avgRoi
number
Average ROI (Return on Investment) across all trades
realisedAvgRoi
number
Realised average ROI from closed positions
maxRoi
number
Maximum ROI achieved in a single trade
realisedMaxRoi
number
Realised maximum ROI from closed positions
pnl
number
Total profit and loss
realisedPnl
number
Realised profit and loss from closed positions
maxPnl
number
Maximum profit and loss achieved
realisedMaxPnl
number
Realised maximum profit and loss from closed positions
realisedMaxDrawdown
number
Maximum drawdown from realised positions
realisedMaxDrawdownPnl
number
Maximum drawdown amount from realised positions
winRate
number
Percentage of winning trades
profitRate
number
Percentage of profitable trades
realisedProfitRate
number
Percentage of profitable closed positions
orderPositionRatio
number
Ratio of orders to positions
profitLossRatio
number
Ratio of profit to loss
realisedProfitLossRatio
number
Ratio of realised profit to realised loss
longRate
number
Percentage of long positions
gainLossRatio
number
Ratio of gains to losses
realisedGainLossRatio
number
Ratio of realised gains to realised losses
avgDuration
number
Average duration of positions in hours
minDuration
number
Minimum duration of any position in hours
maxDuration
number
Maximum duration of any position in hours
avgLeverage
number
Average leverage used across all positions
minLeverage
number
Minimum leverage used in any position
maxLeverage
number
Maximum leverage used in any position
totalLiquidation
number
Total number of liquidated positions
totalLiquidationAmount
number
Total amount lost due to liquidations
runTimeDays
number
Number of days the trader has been active
lastTradeAtTs
number
Timestamp of the last trade (milliseconds)
totalFee
number
Total fees paid across all trades
ranking
object
Percentile rankings for various metrics relative to other traders
type
string
Time period for this statistic (e.g., “FULL”, “D7”)
statisticAt
string
Timestamp when these statistics were calculated
lastTradeAt
string
Timestamp of the last trade (ISO format)
indexTokens
array
List of token identifiers traded
protocol
string
Protocol identifier
createdAt
string
Timestamp when this statistic record was created
isOpenPosition
boolean
Whether the trader has any open positions

Response Example

{
  "FULL": {
    "id": "67fdd42f3219b4577ba50583",
    "account": "0xd649A0876453Fc7626569B28E364262192874E18",
    "totalTrade": 3,
    "totalWin": 3,
    "totalLose": 0,
    "totalGain": 3323185.8880331796,
    "realisedTotalGain": 3323232.8924591998,
    "totalLoss": 0,
    "realisedTotalLoss": 0,
    "totalVolume": 33574.590038,
    "avgVolume": 11191.530012666668,
    "avgRoi": 989852.6666666666,
    "realisedAvgRoi": 989866.6666666666,
    "maxRoi": 989886,
    "realisedMaxRoi": 989900,
    "pnl": 3323185.8880331796,
    "realisedPnl": 3323232.8924591998,
    "maxPnl": 3125500.72459684,
    "realisedMaxPnl": 3125544.93315316,
    "realisedMaxDrawdown": 0,
    "realisedMaxDrawdownPnl": 0,
    "winRate": 100,
    "profitRate": 100,
    "realisedProfitRate": 100,
    "orderPositionRatio": 2,
    "profitLossRatio": 0,
    "realisedProfitLossRatio": 0,
    "longRate": 100,
    "gainLossRatio": 3323185.8880331796,
    "realisedGainLossRatio": 3323232.8924591998,
    "avgDuration": 0,
    "minDuration": null,
    "maxDuration": 0,
    "avgLeverage": 100,
    "minLeverage": 100,
    "maxLeverage": 100,
    "totalLiquidation": 0,
    "totalLiquidationAmount": 0,
    "runTimeDays": 1,
    "lastTradeAtTs": 1744660533000,
    "totalFee": 47.004426020000004,
    "ranking": {
      "avgDuration": 100,
      "avgLeverage": 95.61863173216885,
      "avgVolume": 97.96215429403202,
      "orderPositionRatio": 20.18922852983988,
      "pnl": 99.98544395924309,
      "realisedAvgRoi": 99.98544395924309,
      "realisedMaxDrawdown": 97.3216885007278,
      "realisedMaxRoi": 99.98544395924309,
      "realisedPnl": 99.98544395924309,
      "realisedProfitLossRatio": 94.65793304221252,
      "realisedProfitRate": 97.37991266375546,
      "totalTrade": 74.80349344978166,
      "winRate": 97.37991266375546
    },
    "type": "FULL",
    "statisticAt": "2025-04-15T03:36:15.663Z",
    "lastTradeAt": "2025-04-14T19:55:33.000Z",
    "indexTokens": [
      "KILOEX_BASE-1"
    ],
    "protocol": "KILOEX_BASE",
    "createdAt": "2025-04-15T03:36:15.694Z",
    "isOpenPosition": false
  },
  "D60": {
    "id": "67fdc1fc3219b4577b75a8cb",
    "account": "0xd649A0876453Fc7626569B28E364262192874E18",
    "totalTrade": 3,
    "totalWin": 3,
    "totalLose": 0,
    "totalGain": 3323185.8880331796,
    "realisedTotalGain": 3323232.8924591998,
    "totalLoss": 0,
    "realisedTotalLoss": 0,
    "totalVolume": 33574.590038,
    "avgVolume": 11191.530012666668,
    "avgRoi": 989852.6666666666,
    "realisedAvgRoi": 989866.6666666666,
    "maxRoi": 989886,
    "realisedMaxRoi": 989900,
    "pnl": 3323185.8880331796,
    "realisedPnl": 3323232.8924591998,
    "maxPnl": 3125500.72459684,
    "realisedMaxPnl": 3125544.93315316,
    "realisedMaxDrawdown": 0,
    "realisedMaxDrawdownPnl": 0,
    "winRate": 100,
    "profitRate": 100,
    "realisedProfitRate": 100,
    "orderPositionRatio": 2,
    "profitLossRatio": 0,
    "realisedProfitLossRatio": 0,
    "longRate": 100,
    "gainLossRatio": 3323185.8880331796,
    "realisedGainLossRatio": 3323232.8924591998,
    "avgDuration": 0,
    "minDuration": 0,
    "maxDuration": 0,
    "avgLeverage": 100,
    "minLeverage": 100,
    "maxLeverage": 100,
    "totalLiquidation": 0,
    "totalLiquidationAmount": 0,
    "runTimeDays": 1,
    "lastTradeAtTs": 1744660533000,
    "totalFee": 47.004426020000004,
    "ranking": {
      "avgDuration": 100,
      "avgLeverage": 92.71879483500717,
      "avgVolume": 97.63271162123385,
      "orderPositionRatio": 20.91104734576757,
      "pnl": 99.96413199426112,
      "realisedAvgRoi": 99.96413199426112,
      "realisedMaxDrawdown": 96.95121951219512,
      "realisedMaxRoi": 99.96413199426112,
      "realisedPnl": 99.96413199426112,
      "realisedProfitLossRatio": 94.18938307030129,
      "realisedProfitRate": 97.02295552367288,
      "totalTrade": 73.56527977044476,
      "winRate": 97.02295552367288
    },
    "type": "D60",
    "statisticAt": "2025-04-15T02:18:35.979Z",
    "lastTradeAt": "2025-04-14T19:55:33.000Z",
    "indexTokens": [
      "KILOEX_BASE-1"
    ],
    "protocol": "KILOEX_BASE",
    "createdAt": "2025-04-15T02:18:35.996Z",
    "isOpenPosition": false
  },
  "D30": {
    "id": "67fdc1a33219b4577b7463cd",
    "account": "0xd649A0876453Fc7626569B28E364262192874E18",
    "totalTrade": 3,
    "totalWin": 3,
    "totalLose": 0,
    "totalGain": 3323185.8880331796,
    "realisedTotalGain": 3323232.8924591998,
    "totalLoss": 0,
    "realisedTotalLoss": 0,
    "totalVolume": 33574.590038,
    "avgVolume": 11191.530012666668,
    "avgRoi": 989852.6666666666,
    "realisedAvgRoi": 989866.6666666666,
    "maxRoi": 989886,
    "realisedMaxRoi": 989900,
    "pnl": 3323185.8880331796,
    "realisedPnl": 3323232.8924591998,
    "maxPnl": 3125500.72459684,
    "realisedMaxPnl": 3125544.93315316,
    "realisedMaxDrawdown": 0,
    "realisedMaxDrawdownPnl": 0,
    "winRate": 100,
    "profitRate": 100,
    "realisedProfitRate": 100,
    "orderPositionRatio": 2,
    "profitLossRatio": 0,
    "realisedProfitLossRatio": 0,
    "longRate": 100,
    "gainLossRatio": 3323185.8880331796,
    "realisedGainLossRatio": 3323232.8924591998,
    "avgDuration": 0,
    "minDuration": 0,
    "maxDuration": 0,
    "avgLeverage": 100,
    "minLeverage": 100,
    "maxLeverage": 100,
    "totalLiquidation": 0,
    "totalLiquidationAmount": 0,
    "runTimeDays": 1,
    "lastTradeAtTs": 1744660533000,
    "totalFee": 47.004426020000004,
    "ranking": {
      "avgDuration": 100,
      "avgLeverage": 90.5701754385965,
      "avgVolume": 95.72368421052632,
      "orderPositionRatio": 27.083333333333343,
      "pnl": 99.89035087719299,
      "realisedAvgRoi": 99.89035087719299,
      "realisedMaxDrawdown": 96.27192982456141,
      "realisedMaxRoi": 99.89035087719299,
      "realisedPnl": 99.89035087719299,
      "realisedProfitLossRatio": 93.53070175438597,
      "realisedProfitRate": 96.38157894736842,
      "totalTrade": 63.59649122807017,
      "winRate": 96.38157894736842
    },
    "type": "D30",
    "statisticAt": "2025-04-15T02:17:06.810Z",
    "lastTradeAt": "2025-04-14T19:55:33.000Z",
    "indexTokens": [
      "KILOEX_BASE-1"
    ],
    "protocol": "KILOEX_BASE",
    "createdAt": "2025-04-15T02:17:06.814Z",
    "isOpenPosition": false
  },
  "D15": {
    "id": "67fdc1783219b4577b73a1d1",
    "account": "0xd649A0876453Fc7626569B28E364262192874E18",
    "totalTrade": 3,
    "totalWin": 3,
    "totalLose": 0,
    "totalGain": 3323185.8880331796,
    "realisedTotalGain": 3323232.8924591998,
    "totalLoss": 0,
    "realisedTotalLoss": 0,
    "totalVolume": 33574.590038,
    "avgVolume": 11191.530012666668,
    "avgRoi": 989852.6666666666,
    "realisedAvgRoi": 989866.6666666666,
    "maxRoi": 989886,
    "realisedMaxRoi": 989900,
    "pnl": 3323185.8880331796,
    "realisedPnl": 3323232.8924591998,
    "maxPnl": 3125500.72459684,
    "realisedMaxPnl": 3125544.93315316,
    "realisedMaxDrawdown": 0,
    "realisedMaxDrawdownPnl": 0,
    "winRate": 100,
    "profitRate": 100,
    "realisedProfitRate": 100,
    "orderPositionRatio": 2,
    "profitLossRatio": 0,
    "realisedProfitLossRatio": 0,
    "longRate": 100,
    "gainLossRatio": 3323185.8880331796,
    "realisedGainLossRatio": 3323232.8924591998,
    "avgDuration": 0,
    "minDuration": 0,
    "maxDuration": 0,
    "avgLeverage": 100,
    "minLeverage": 100,
    "maxLeverage": 100,
    "totalLiquidation": 0,
    "totalLiquidationAmount": 0,
    "runTimeDays": 1,
    "lastTradeAtTs": 1744660533000,
    "totalFee": 47.004426020000004,
    "ranking": {
      "avgDuration": 100,
      "avgLeverage": 95.06172839506173,
      "avgVolume": 89.7119341563786,
      "orderPositionRatio": 39.09465020576132,
      "pnl": 99.58847736625515,
      "realisedAvgRoi": 99.58847736625515,
      "realisedMaxDrawdown": 97.53086419753086,
      "realisedMaxRoi": 99.58847736625515,
      "realisedPnl": 99.58847736625515,
      "realisedProfitLossRatio": 93.4156378600823,
      "realisedProfitRate": 97.53086419753086,
      "totalTrade": 70.37037037037037,
      "winRate": 97.53086419753086
    },
    "type": "D15",
    "statisticAt": "2025-04-15T02:16:24.210Z",
    "lastTradeAt": "2025-04-14T19:55:33.000Z",
    "indexTokens": [
      "KILOEX_BASE-1"
    ],
    "protocol": "KILOEX_BASE",
    "createdAt": "2025-04-15T02:16:24.229Z",
    "isOpenPosition": false
  },
  "D7": {
    "id": "67fdc16e3219b4577b73531f",
    "account": "0xd649A0876453Fc7626569B28E364262192874E18",
    "totalTrade": 3,
    "totalWin": 3,
    "totalLose": 0,
    "totalGain": 3323185.8880331796,
    "realisedTotalGain": 3323232.8924591998,
    "totalLoss": 0,
    "realisedTotalLoss": 0,
    "totalVolume": 33574.590038,
    "avgVolume": 11191.530012666668,
    "avgRoi": 989852.6666666666,
    "realisedAvgRoi": 989866.6666666666,
    "maxRoi": 989886,
    "realisedMaxRoi": 989900,
    "pnl": 3323185.8880331796,
    "realisedPnl": 3323232.8924591998,
    "maxPnl": 3125500.72459684,
    "realisedMaxPnl": 3125544.93315316,
    "realisedMaxDrawdown": 0,
    "realisedMaxDrawdownPnl": 0,
    "winRate": 100,
    "profitRate": 100,
    "realisedProfitRate": 100,
    "orderPositionRatio": 2,
    "profitLossRatio": 0,
    "realisedProfitLossRatio": 0,
    "longRate": 100,
    "gainLossRatio": 3323185.8880331796,
    "realisedGainLossRatio": 3323232.8924591998,
    "avgDuration": 0,
    "minDuration": 0,
    "maxDuration": 0,
    "avgLeverage": 100,
    "minLeverage": 100,
    "maxLeverage": 100,
    "totalLiquidation": 0,
    "totalLiquidationAmount": 0,
    "runTimeDays": 1,
    "lastTradeAtTs": 1744660533000,
    "totalFee": 47.004426020000004,
    "ranking": {
      "avgDuration": 100,
      "avgLeverage": 92.5531914893617,
      "avgVolume": 82.97872340425532,
      "orderPositionRatio": 46.808510638297875,
      "pnl": 98.93617021276596,
      "realisedAvgRoi": 98.93617021276596,
      "realisedMaxDrawdown": 97.87234042553192,
      "realisedMaxRoi": 98.93617021276596,
      "realisedPnl": 98.93617021276596,
      "realisedProfitLossRatio": 92.5531914893617,
      "realisedProfitRate": 97.87234042553192,
      "totalTrade": 60.63829787234043,
      "winRate": 97.87234042553192
    },
    "type": "D7",
    "statisticAt": "2025-04-15T02:16:14.351Z",
    "lastTradeAt": "2025-04-14T19:55:33.000Z",
    "indexTokens": [
      "KILOEX_BASE-1"
    ],
    "protocol": "KILOEX_BASE",
    "createdAt": "2025-04-15T02:16:14.392Z",
    "isOpenPosition": false
  }
}